#include "EPSG/Scene.h"
/* System Includes */
#ifdef WIN32
#include <Windows.h>
#endif

/* OpenGL Includes */
#include <GL/GL.h>
#include <GL/GLU.h>

EPSG::Scene::Scene()
{
	glClearColor( 0.0, 0.0, 0.0, 1.0 );
	glEnable( GL_DEPTH_TEST );
}

void EPSG::Scene::display()
{
	if( !setupCamera() )
		printf("\nError");
	if( setupLights() )
		glEnable( GL_LIGHTING );
	else
		glDisable( GL_LIGHTING );

	glClear( GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT );
	render();
}